Bug 397101 - kwrite should notify about non-existing file/permissions
Summary: kwrite should notify about non-existing file/permissions
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-23 17:24 UTC by Reindl Harald
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-24 15:54:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 152826 None None None Never

Description Reindl Harald 2007-11-23 17:24:44 UTC
kwrite has a bug that can make crazy beginners

kwrite /etc/this-does-not-exist.txt
Says nothing, opens an empty editor an may save the file
But if you have misstyped the filename you dont know this

kwrite /boot/grub/grub.conf
Opens as normal user an empty editor instead to 
say there are no permissions

Do not know if this is a kde bug or only in kde of fedora, but sometimes its a
pain - In the first case the apllication should make a request to create the non
existing file or cancel.

In the second case it should tell the user that the file exists but he has no
permissions

Comment 1 Rex Dieter 2007-11-23 17:41:47 UTC
This is (almost) certainly an upstream kde issue (not a fedora one).  I'd
suggest taking this to bugs.kde.org instead.

Comment 2 Reindl Harald 2007-11-24 13:52:32 UTC
Done: http://bugs.kde.org/show_bug.cgi?id=152826

Comment 3 Rex Dieter 2007-11-24 15:54:51 UTC
Thank you, we'll continue to track this upstream.


Note You need to log in before you can comment on or make changes to this bug.